View Issue Details

IDProjectCategoryView StatusLast Update
13805Bug reports[All Projects] Translationpublic2018-08-07 17:01
ReporterimacatAssigned Tomarkusfluer 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.12.x 
Target VersionFixed in Version3.13.x 
Summary13805: Multi-line Text Messages Do Not Exist in Translation.
Description

Hi. I found that multi-line text messages do not exist in the translation PO files. The reason is that the xgettext tool from GNU gettext can only process multi-line source text messages in the C language format, to concatenate the text lines with spaces as in C, but not with the string concatenation operator in PHP (.). Hence several pieces of text in the tutorial do not appear in the PO file.

Steps To Reproduce

Search for "The most important settings of your survey can be reached from this sidebar:" in Pootle gets nothing:

https://translate.limesurvey.org/projects/limesurvey-3/zh-tw/traditional/?filters%5Bterm%5D=The+most+important+settings+of+your+survey+can+be+reached+from+this+sidebar%3A&filters%5Buser_login%5D=&filters%5Bstatus%5D=either&filter=Filter&sort%5Bby%5D=translation_date_added&sort%5Bhow%5D=asc

While it appears in application/core/LsDefaultDataSets.php line 464:

https://github.com/LimeSurvey/LimeSurvey/blob/master/application/core/LsDefaultDataSets.php#L464

Additional Information

I submit a pull request in github:

https://github.com/LimeSurvey/LimeSurvey/pull/1085

Please check if this works. Thank you.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.12.1+180616
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionmariadb 10.1.26
Operating System (Server)Debian GNU/Linux 9.4 (stretch)
Webserver software & versionapache 2.4.25
PHP Version7.0.27

Activities

imacat

imacat

2018-06-22 03:11

reporter  

limesurvey-xgettext.diff.asc (11,000 bytes)
markusfluer

markusfluer

2018-07-09 15:50

manager   ~48479

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27615

markusfluer

markusfluer

2018-08-07 17:01

manager   ~48724

Release 3.14.2+180807

Related Changesets

LimeSurvey: master 2f200be5

2018-07-09 15:50:11

imacat


Committer: markusfluer Details Diff
Fixed issue 13805: Multi-line Text Messages Do Not Exist in Translation.
mod - application/core/LsDefaultDataSets.php Diff File
mod - application/views/admin/survey/surveybar_displayexport.php Diff File

Issue History

Date Modified Username Field Change
2018-06-22 03:11 imacat New Issue
2018-06-22 03:11 imacat File Added: limesurvey-xgettext.diff.asc
2018-06-25 10:21 LouisGac Assigned To => markusfluer
2018-06-25 10:21 LouisGac Status new => assigned
2018-07-09 15:50 markusfluer Changeset attached => LimeSurvey master 2f200be5
2018-07-09 15:50 markusfluer Note Added: 48479
2018-07-09 15:50 markusfluer Resolution open => fixed
2018-07-09 15:52 markusfluer Status assigned => resolved
2018-07-09 15:52 markusfluer Fixed in Version => 3.13.x
2018-08-07 17:01 markusfluer Status resolved => closed
2018-08-07 17:01 markusfluer Note Added: 48724